<?php
$config->job->form->create['gitfoxpipeline'] = array('type' => 'string', 'required' => false, 'default' => '');
$config->job->form->edit['gitfoxpipeline']   = array('type' => 'string', 'required' => false, 'default' => '');

$config->job->form->createPipeline['pipelineName'] = array('type' => 'string', 'required' => true, 'filter' => 'trim');
$config->job->form->createPipeline['branch']       = array('type' => 'string', 'required' => true);
$config->job->form->createPipeline['yamlPath']     = array('type' => 'string', 'required' => true, 'filter' => 'trim');
$config->job->form->createPipeline['product']      = array('type' => 'int', 'default' => 0);

$config->job->form->editPipeline = $config->job->form->createPipeline;

global $lang;
$config->job->dtable->fieldList['actions']['list']['arrange']['icon'] = 'file-code';
$config->job->dtable->fieldList['actions']['list']['arrange']['text'] = $lang->job->arrange;
$config->job->dtable->fieldList['actions']['list']['arrange']['hint'] = $lang->job->arrange;
$config->job->dtable->fieldList['actions']['list']['arrange']['url']  = helper::createLink('job', 'arrange',"jobID={id}");
